#ifndef PROGRAM_H
#define PROGRAM_H

#include "DolibarrClient.h"
#include "GRBL.h"
#include <Arduino.h>
#include <M5Stack.h>
// #include <vector>

class Program {
public:
    /**
     * Program startup
     */
    Program();

    /**
     * Program WarehouseGUI loop
     */
    void loop();

private:

    DolibarrClient *client;

    /**
     * @brief stepper motor controller
     */
    GRBL* grbl;
};

#endif
